#ifndef _Handle_PDocStd_Document_HeaderFile
#define _Handle_PDocStd_Document_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PCDM_Document_HeaderFile
#include <Handle_PCDM_Document.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PCDM_Document);
class PDocStd_Document;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PDocStd_Document);

class Handle(PDocStd_Document) : public Handle(PCDM_Document) {
  public:

    Handle(PDocStd_Document)():Handle(PCDM_Document)() {} 
    Handle(PDocStd_Document)(const Handle(PDocStd_Document)& aHandle) : Handle(PCDM_Document)(aHandle) 
     {
     }

    Handle(PDocStd_Document)(const PDocStd_Document* anItem) : Handle(PCDM_Document)((PCDM_Document *)anItem) 
     {
     }

    Handle(PDocStd_Document)& operator=(const Handle(PDocStd_Document)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PDocStd_Document)& operator=(const PDocStd_Document* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PDocStd_Document* operator->() const 
     {
      return (PDocStd_Document *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PDocStd_Document) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
